


<script>

import scrolly from '@/components/scrolly/futon.vue'

import scene_1_produce_Ehh from './names/scene_1_produce_Ehh.vue'
import scene_1_add_splendor from './names/scene_1_add_splendor.vue'

import move from './names/move.vue'

import { lap } from '@/fleet/lap'

import { has_field } from 'procedures/object/has_field'


export default {
	components: {
		scrolly,
		
		//
		//	moves
		//
		scene_1_produce_Ehh,
		scene_1_add_splendor,
		
		move
	},
	
	methods: {
		figure_out_the_fields (move) {
			const variables = {
				"scene 1: establish rules": {
					"rules": {
						"change >=": "1/2"
					},
					"scenes": {
						"moves per scene": "100"
					},
					"escrow": {
						"scene limit": "100"
					},
					"fees": {
						"price": "1000"
					}
				}	
			}
			
			console.log ('figure_out_the_fields', { move }, has_field (variables, move))
			
			if (has_field (variables, move)) {
				return variables [ move ]
			}
		
			return {}
		}
	},
	
	data () {
		return {
			the_option: "scene 1: produce Ehh!",
			options: [			
				"scene index: establish",
				"scene index: freshest",
				
				"scene 1: produce Ehh!",
				"scene 1: add splendor",
				"scene 1: establish rules",
				
				"scene insights: enumerate moves",
				
				"move: send escrow",
				"move: receive escrow"
			]
		}
	}
}

</script>

<template>
	<div
		:style="{
			position: 'relative',
			borderRadius: '8px',
			height: '100%'
		}"
	>
		<div
			:style="{
				position: 'absolute',
				height: '100%',
				width: '100%',
				top: 0,
				left: 0,
				
				overflowY: 'scroll',
				
				display: 'flex',
			}"
		>
			<div
				:style="{
					position: 'relative',
					
					width: '20%',
					border: '2px solid white',
					borderRadius: '8px',
					
					boxSizing: 'border-box',
					padding: '20px',
					
					display: 'flex',
					flexDirection: 'column'
				}"
			>
				<div>
					<h1>moves</h1>
					
					<div :style="{ height: '20px' }" />
					<div :style="{ padding: '0' }">

					</div>
				</div>
			</div>
			
			<div
				:style="{
					width: '20px'
				}"
			/>
			
			<scrolly
				:style="{
					position: 'relative',
					boxSizing: 'border-box',
					
					padding: '20px',
					width: '100%',
					border: '2px solid white',
					background: 'linear-gradient(22deg, #4d1eb540, #282020)',
						
					borderRadius: '8px',
				}"
			>
				<div
					:style="{
						position: 'relative',
						boxSizing: 'border-box',
						
						padding: '20px',
						width: '100%',
					}"
				>
					<select
						v-model="the_option"
						placeholder="Select an option"
						
						:style="{
							padding: '8px 20px',
							minWidth: '300px',
							background: 'linear-gradient(239deg, rgba(128, 0, 128, 0.56), rgba(249, 249, 0, 0.29), rgba(255, 165, 0, 0.2), rgba(43, 36, 37, 0.15))',
							color: 'white',
							borderRadius: '4px',
							
							cursor: 'pointer'
						}"
					>
						<option 
							v-for="option in options"
						
							:style="{
								background: 'linear-gradient(45deg, purple, black)'
							}"
						>{{ option }}</option>
					</select>
				</div>
				
				<div>
					<scene_1_produce_Ehh v-if="the_option === 'scene 1: produce Ehh!'" />
					<scene_1_add_splendor v-else-if="the_option === 'scene 1: add splendor'" />					
					
					<move 
						v-else
						:name="the_option"
						:fields="figure_out_the_fields (the_option)"
					/>
				</div>
			</scrolly>
		</div>
	</div>
</template>
